== Changelog ==

= 6.1.7 =

* Tweak  - The deactivation warning now uses SweetAlert2
* Update - Settings framework updated to version 6.8.5

= 6.1.6.1 =

* Tweak  - Efficiency improvements
* Fix    - Sequential order number plugins when HPOS is disabled

= 6.1.6 =

* Tweak  - Security enhancements
* Fix    - Missing text domain
* Update - Support for WooCommerce 10.9
* Update - Settings framework updated to version 6.8.4
* Update - POT file updated

= 6.1.5 =

* Tweak  - Security enhancements
* Fix    - Wrong text domain in some strings
* Update - Settings framework updated to version 6.8.3
* Update - POT file updated

= 6.1.4 =

* Fix    - The drag-and-drop message shifted during page load on the statuses screen

= 6.1.3 =

* Tweak  - Improved styles on the custom statuses list screen
* Update - Support for WordPress 7.1
* Update - Settings framework updated to version 6.8.2

= 6.1.2 =

* Update - Support for WooCommerce 10.8
* Update - Settings framework updated to version 6.8.1
* Update - Minimum required PHP version is now 7.4

= 6.1.1 =

* Tweak  - Improved the CPT caching system
* Tweak  - Improved translation management
* Fix    - Order statuses in the trash did not display styles

= 6.1.0 =

* Added  - Buttons in the email template editor to visually insert placeholders
* Added  - The post status is now displayed alongside the order status name on the statuses list screen
* Tweak  - Status and icon styles on the statuses list screen are now added dynamically
* Tweak  - Efficiency improvements
* Fix    - The status name did not display default styles on the statuses list screen if no colors were assigned
* Update - POT file updated

= 6.0.0 =

* Tweak  - The invoice issuance checkbox for the order status is now synced with WooCommerce PDF Invoices & Packing Slips settings
* Tweak  - Enhanced code security
* Tweak  - Improved styles in the statuses list
* Tweak  - Improved accesibility in the custom statuses list
* Fix    - Some settings could fail to import correctly when importing statuses from other plugins
* Update - Support for WooCommerce 10.7
* Update - Settings framework updated to version 6.8.0
* Update - POT file updated

= 5.9.1 =

* Fix - The help notice was displayed on screens where it should not appear

= 5.9.0 =

* Added  - Help messages
* Update - POT file updated

= 5.8.3 =

* Tweak  - Enhanced code security
* Fix    - %%order_date%% could fail to display the correct date depending on the server configuration
* Fix    - The expiration column in the downloads table could fail to display the correct date depending on the server configuration

= 5.8.2 =

* Added  - Help message in the status management screen
* Update - Support for WooCommerce 10.6
* Update - Settings framework updated to 6.7.1
* Update - POT file updated

= 5.8.1 =

* Tweak  - Enhanced security in AJAX requests
* Tweak  - Ensured the help message loads on activation, even on sites with slow admin loading

= 5.8.0 =

* Added  - New option to set the status as the default after payment completion
* Added  - Column in the custom order statuses list marking the default status for paid orders
* Update - POT file updated

= 5.7.6 =

* Update - Support for WooCommerce 10.5

= 5.7.5 =

* Added - Option to attach the invoice to order status notifications when WooCommerce PDF Invoices & Packing Slips is active
* Added - Spanish (Puerto Rico) translation files
* Update - POT file updated

= 5.7.4 =

* Added - Link to the plugin documentation
* Update - POT file updated

= 5.7.3 =

* Update - Support for WordPress 7.0
* Update - Support for WooCommerce 10.4

= 5.7.2 =

* Tweak  - UI improvements
* Update - POT file updated

= 5.7.1 =

* Tweak  - Status names and icons in the status list screen are displayed with the same styles used for orders in each status
* Tweak  - Improved the import of custom order statuses from YITH Custom Order Status
* Tweak  - Enqueues dynamically generated CSS
* Fix    - Error while importing order statuses created by other plugins with long names
* Update - Updated Font Awesome to version 7.0.1

= 5.7.0 =

* Tweak  - The order status info box is not visible unless the order status if published
* Tweak  - Using gmdate() instead of date()
* Tweak  - Scripts are loaded in the footer
* Tweak  - Enhanced code security
* Tweak  - Enhanced code performance
* Fix    - Long similar order status names could collide
* Fix    - Alert upon deactivation was not showing up

= 5.6.0.1 =

* Tweak  - Prevented HTML whitespace code from appearing in plain text notifications.
* Tweak  - Prevented license validation errors caused by caching.
* Fix    - Fixed an issue where order status icons with long names were not displayed correctly in the dashboard widget.
* Fix    - Fixed several strings that were not properly included in the text domain.
* Update - POT file updated

= 5.6.0 =

* Update - Settings framework updated to version 6.6.2
* Update - POT file updated

= 5.5.1 =

* Update - Support for WooCommerce 10.3
* Update - Settings framework updated to version 6.6.1

= 5.5.0 =

* Added  - Option to restock the order products inventory when changing to a custom status (for native WooCommerce product types)
* Update - POT file updated

= 5.4.0 =

* Added  - A help file for Safari users is included
* Fix    - Order status settings tab title
* Update - Support for WooCommerce 10.2
* Update - Settings framework updated to version 6.5.1

= 5.3.9 =

* Update - Support for WooCommerce 10.1
* Update - Settings framework updated to version 6.5.0.1

= 5.3.8 =

* Tweak  - Increased lifespan of the transient indicating activation
* Update - Settings framework updated to version 6.4.3

= 5.3.7 =

* Update - Support for WooCommerce 10.0

= 5.3.6 =

* Tweak  - Improved compatibility with Sequential Order Number for WooCommerce
* Tweak  - Enhanced code performance

= 5.3.5 =

* Update - Support for WordPress 6.9
* Update - Support for WooCommerce 9.9
* Update - Settings framework updated to version 6.4.2

= 5.3.4 =

* Tweak  - License change forces immediate verification
* Tweak  - Performance improvement in license verification
* Update - Settings framework updated to version 6.4.1

= 5.3.3 =

* Tweak  - = number is included in calls to wp_enqueue_script and wp_enqueue_style to prevent issues due to browser caching
* Update - Settings framework updated to version 6.4.0.1

= 5.3.2 =

* Tweak  - Enhanced code performance

= 5.3.1 =

* Tweak  - Reduced number of methods loaded in init
* Update - Support for WooCommerce 9.8

= 5.3.0 =

* Tweak  - Translations and updates are loaded in init
* Fix    - Fixed warning for early loading of translation

= 5.2.9 =

* Tweak  - WooCommerce presence check is omitted, redundant since the inclusion of the require header
* Update - Support for WooCommerce 9.7
* Update - Settings framework updated to version 6.3.12
* Update - POT file updated

= 5.2.8 =

* Tweak  - Code performance in admin area improved
* Update - Support for WordPress 6.8

= 5.2.7 =

* Added  - Possibility to include custom order meta keys in notifications
* Update - POT file updated

= 5.2.6 =

* Tweak  - If a gateway does not declare a title, the automations selector shows its ID
* Update - Support for WordPress 6.7
* Update - Support for WooCommerce 9.5
* Update - Settings framework updated to version 6.3.11

= 5.2.5 =

* Tweak  - Enhanced code security
* Tweak  - Enhanced code performance
* Update - Settings framework updated to version 6.3.10

= 5.2.4 =

* Update - Support for WooCommerce 9.4
* Update - Settings framework updated to version 6.3.6
* Update - POT file updated

= 5.2.3 =

* Added  - Compatibility with filter hook woocommerce_get_order_item_totals
* Update - Settings framework updated to version 6.3.6

= 5.2.2 =

* Fix    - Error loading FontAwesome
* Update - Settings framework updated to version 6.3.5

= 5.2.1 =

* Update - Support for WordPress 6.6
* Update - Support for WooCommerce 9.2
* Update - Settings framework updated to version 6.3.4

= 5.2.0 =

* Added  - Compatibility with WooCommerce EU VAT Number
* Added  - Compatibility with YITH WooCommerce EU VAT, OSS & IOSS Premium
* Added  - Placeholder to include EU VAT number in notifications
* Added  - New icons available for order statuses
* Fix    - The line for NIF/CIF in the data block could include HTML even if WooCommerce notifications were sent in plain text
* Update - Settings framework updated to version 6.3.3
* Update - POT file updated

= 5.1.8 =

* Fix    - A notice is prevented on the dashboard if the screen is not detected
* Update - Settings framework updated to version 6.3.1.2

= 5.1.7 =

* Fix    - Autoincrementing a boolean generated a notice message in some PHP versions
* Update - Support for WooCommerce 9.0
* Update - Settings framework updated to version 6.3.0.1

= 5.1.6 =

* Added  - Integration with the plugins Solicitar NIF and WC - APG NIF/CIF/NIE Field to display NIF in notifications
* Tweak  - Code improvements in the function that generates the help text for the template
* Update - Support for WooCommerce 8.9
* Update - Settings framework updated to version 6.2.9
* Update - POT file updated

= 5.1.5 =

* Added  - WooCommerce is declared as a dependency in the header
* Update - Support for WordPress 6.5
* Update - Settings framework updated to version 6.2.8
* Update - POT file updated

= 5.1.4 =

* Added  - New icons available for order statuses
* Update - Support for WooCommerce 8.8

= 5.1.3 =

* Update - Support for WooCommerce 8.7
* Update - Settings framework updated to version 6.2.7

= 5.1.2 =

* Tweak  - The _date_completed meta data is set using the native set_date_paid method
* Update - Support for WooCommerce 8.6
* Update - Settings framework updated to version 6.2.6.1

= 5.1.1 =

* Update - Settings framework updated to version 6.2.5

= 5.1.0 =

* Tweak  - Enhanced code performance
* Update - Support for WooCommerce 8.5

= 5.0.9 =

* Update - Support for WooCommerce 8.4
* Update - Settings framework updated to version 6.2.4

= 5.0.8 =

* Added  - Option to consider orders in a specific order status as completed
* Fix    - Under certain circumstances, an error could be generated when creating a new order from the administration area
* Update - Support for WordPress 6.4
* Update - Support for WooCommerce 8.3
* Update - Settings framework updated to version 6.2.3

= 5.0.7 =

* Tweak  - Enhanced code performance
* Update - Settings framework updated to version 6.2.2

= 5.0.6 =

* Added  - Added fifteen new icons to represent custom order statuses, including social icons
* Update - Support for WooCommerce 8.2

= 5.0.5 =

* Added  - Notifications compatibility with the woocommerce_get_order_item_totals filter
* Update - Support for WooCommerce 8.1
* Update - Settings framework updated to version 6.2.1.1

= 5.0.4 =

* Tweak  - The order summary table includes a link to the order summary on My account for the notification sent to the customer
* Tweak  - The order summary table includes a link to the order administration screen for the notification sent to the admin
* Tweak  - Performance improvements in compatibility with sequential order numbering plugins
* Fix    -  The style of the address block in the notification could be different from the rest
* Update - Settings framework updated to version 6.2.0

= 5.0.3 =

* Tweak  - Placeholder %%instructions%% only shows bank account fields for which data has been entered
* Tweak  - Placeholder %%instructions%% can also display account number and sort code data
* Tweak  - Notices are prevented in special situations when generating the notification
* Fix    - Payment method instructions could be displayed without block separation if notifications were configured to be sent in plain text
* Fix    - Fixed the text domain of a text that had been left out of translation
* Update - Support for WooCommerce 8.0
* Update - POT file updated

= 5.0.2 =

* Fix    - The COD gateway was only available in the automation if the "Activate for virtual orders" option was checked
* Update - Support for WooCommerce 7.9
* Update - Settings framework updated to version 6.1.7

= 5.0.1 =

* Fix    - Automations generated order notes in a way that was not compatible with HPOS
* Fix    - The action metabox generated a notice if HPOS was activated
* Fix    - Rows background in order list could appear modified if HPOS was activated
* Update - Support for WooCommerce 7.8

= 5.0.0 =

* Added  - Support for HPOS (beta)
* Added  - %%phone%% to display the customer's phone number in the notification
* Added  - %%instructions%% to display payment method instructions in the notification (including account number(s) in case of bank transfer payment)
* Added  - Specific CSS classes for address blocks in the notification
* Added  - Compatibility with WooCommerce Sequential Order Numbers Pro by SkyVerge
* Added  - Order statuses created with YITH WooCommerce Custom Order Status Premium can now be imported
* Tweak  - Improved compatibility with Sequential Order Numbers for WooCommerce by SkyVerge
* Tweak  - Once all order statuses created with other plugins have been imported, the import button disappears
* Tweak  - The bulk actions available for orders in the trash are not modified
* Tweak  - Greater readability in the options of the order status configuration features tab
* Tweak  - A default color is set for imported order statuses
* Tweak  - Enhanced code performance in data retrieval for template variables
* Tweak  - Enhanced code performance in the init
* Fix    - The button to import order statuses created with other plugins might not work correctly
* Fix    - %%downloads%% placeholder was not replaced in notifications for orders that did not contain downloadable files
* Update - End of support for WooCommerce 3.2 and earlier
* Update - Settings framework updated to version 6.1.6
* Update - POT file updated

= 4.4.1 =

* Tweak  - Improved efficiency
* Update - Support for WordPress 6.3
* Update - Support for WooCommerce 7.7

= 4.4.0 =

* Fix    - Payment information could sometimes be duplicated on the order received page

= 4.3.9 =

* Update - Support for WooCommerce 7.6

= 4.3.8 =

* Tweak  - Improved efficiency retrieving available gateways

= 4.3.7 =

* Tweak  - Prevented notices for dynamic property creation in PHP8.2+
* Update - Support for WooCommerce 7.5

= 4.3.6 =

* Tweak  - The options in the help message upon plugin deactivation are clearer
* Fix    - The help message on plugin deactivation was not being displayed (definitive)
* Update - Support for WooCommerce 7.4
* Update - POT file updated

= 4.3.5 =

* Fix    - The help message on plugin deactivation was not being displayed
* Update - POT file updated

= 4.3.4 =

* Added  - Compatibility with Sequential Order Numbers for WooCommerce by WebToffee
* Update - Minimum PHP required version is 7.3
* Update - Support for WooCommerce 7.3

= 4.3.3 =

* Update - Support for WooCommerce 7.2

= 4.3.2 =

* Update - Support for WordPress 6.2

= 4.3.1 =

* Tweak  - Reduced number of HTTPS API calls
* Update - Support for WooCommerce 7.1

= 4.3.0 =

* Fix    - Added text domain to a string that had been left out of translation
* Update - Support for WooCommerce 7.0
* Update - POT file updated

= 4.2.9 =

* Added  - Added twelve new icons to represent custom order statuses

= 4.2.8 =

* Update - Support for WooCommerce 6.9

= 4.2.7 =

* Update - Support for WooCommerce 6.8

= 4.2.6 =

* Tweak  - Connection timeout for updates reduced to 10 seconds
* Update - Support for WooCommerce 6.7

= 4.2.5 =

* Added  - %%last_name%% to display the last name from the billing address in the notification
* Added  - %%company%% to display the company in the notification
* Update - POT file updated

= 4.2.4 =

* Added  - Filter hook scos_load_automations para deshabilitar las opciones de automatización de cambio de estado
* Update - Support for WordPress 6.1
* Update - Support for WooCommerce 6.6

= 4.2.3 =

* Tweak  - Enhanced code performance
* Fix    - Under certain circumstances, the download of downloadable files was not enabled for order statuses configured to allow it
* Update - Support for WooCommerce 6.5

= 4.2.2 =

* Tweak  - Enhanced code performance

= 4.2.1 =

* Added  - Field for the license key in the Integration tab of WooCommerce settings
* Update - Support for WooCommerce 6.4
* Update - POT file updated

= 4.2.0, 7

* Added  - %%notes%% to display order notes in the notification
* Update - Support for WooCommerce 6.3
* Update - POT file updated

= 4.1.1 =

* Tweak  - Enhanced code performance
* Update - Support for WordPress 6.0
* Update - Support for WooCommerce 6.2

= 4.1.0 =

* Fix    - The box to enter a new license did not appear in certain cases when the previous license was invalid
* Update - POT file updated

= 4.0.9 =

* Update - Support for WooCommerce 6.1

= 4.0.8 =

* Update - Support for WooCommerce 6.0

= 4.0.7 =

* Fix    - Fixed a call to a parent method's constructor
* Update - Support for WooCommerce 5.9

= 4.0.6 =

* Fix    - Fixed an error in an example snippet
* Update - Support for WooCommerce 5.8

= 4.0.5 =

* Update - Support for WooCommerce 5.7

= 4.0.4 =

* Added  -  Default configuration for custom fields in WPML is included
* Update - Support for WooCommerce 5.6

= 4.0.3 =

* Update - Support for WordPress 5.9
* Update - Support for WooCommerce 5.5

= 4.0.2 =

* Tweak  - When applying an automation, the note created on the order indicates its type (by payment method or by user role)
* Tweak  - Enhanced code performance
* Fix    - Order statuses no longer appear as options for navigation menus
* Update - POT file updated

= 4.0.1 =

* Added  - Support for the additional content option in WooCommerce email settings
* Tweak  - Enhanced code security
* Fix    - Prevented a notice generated under certain circumstances when checking the license
* Update - Support for WooCommerce 5.4

= 4.0.0 =

* Added  - Support for RTL
* Added  - Option to allow the download of downloadable files of an order in the custom status
* Added  - %%downloads%% to display the order's downloadable files table in the notification, if any
* Added  - %%order_date%% to display the order creation date in the notification
* Added  - Filter hook scos_table_title to modify the title of the order summary table section in notifications
* Added  - Filter hook scos_downloads_title to modify the title of the downloads links section in notifications
* Added  - Support for filter hook woocommerce_email_footer_text in plain text notifications
* Added  - Support for placeholders established by WooCommerce
* Added  - A note is added to the order when notifications for a custom status are manually sent
* Added  - Help message on orders in a status that does not allow editing
* Added  - Help example for the custom notification styles option
* Tweak  - Preference is given to the email header established in WooCommerce settings
* Tweak  - If no different data has been established for shipping, %%shipping_details%% displays billing data
* Tweak  - Enhanced code security
* Tweak  - Enhanced code performance
* Fix    - Fixed an error in a text
* Fix    - Added text domain to two strings that have been left out of the translation file
* Update - POT file updated

= 3.4.0 =

* Added  - Possibility to set custom CSS for notifications
* Tweak  - SSL verification in update check
* Tweak  - Enhanced code performance in the init
* Update - POT file updated

= 3.3.4 =

* Added  - Filter hook scos_hide_processing to hide the action button for the default Processing status
* Added  - Filter hook scos_hide_completed to hide the action button for the default Completed status
* Update - Support for WooCommerce 5.3
* Update - POT file updated

= 3.3.3 =

* Update - Support for WordPress 5.8
* Update - Updated notices library to SweetAlert2

= 3.3.2 =

* Added  - Help text for the Next status option in the order flow
* Fix    - Text color in notifications might not match the one set in WooCommerce settings in certain configurations
* Fix    - Fixed a notice that could be displayed in the order action metabox when creating an order from the administration area
* Update - Support for WooCommerce 5.2
* Update - POT file updated

= 3.3.1 =

* Fix    - Shipping variables were not assigned correctly when orders were bulk changed status
* Update - POT file updated

= 3.3.0 =

* Added  - Automations: it is possible to automatically place orders from users belonging to selected roles into a specific custom status after creation
* Update - POT file updated

= 3.2.1 =

* Tweak  - Integration of notification editors
* Tweak  - Shipping date is displayed in the format set in WordPress settings
* Update - Support for WooCommerce 5.1
* Update - POT file updated

= 3.2.0 =

* Added  - %%shipping_details%% to display shipping details in notifications
* Added  - %%billing_details%% to display billing details in notifications
* Added  - %%shipping_method%% to display the shipping method in notifications
* Added  - %%payment_method%% to display the payment method in notifications
* Update - POT file updated

= 3.1.3 =

* Added  - Option to make orders in a custom status editable
* Added  - Minimum required PHP version header
* Tweak  - Enhanced code performance in the init
* Update - Support for WooCommerce 5.0
* Update - POT file updated

= 3.1.2 =

* Tweak  - The list of order statuses shows the administration addresses that will receive the notification for that status
* Tweak  - Improved code performance for custom fields in order status configuration
* Fix    - An error is prevented when manually triggering notifications under certain circumstances
* Update - The default time window during which the automation runs is increased to 300 seconds
* Update - POT file updated

= 3.1.1 =

* Added  -  Full compatibility with plain text notifications
* Added  - Filter hook scos_automation_time to modify the maximum automation check time
* Tweak  - Security improvements in automations by limiting the time they can be executed
* Fix    - A fatal error is prevented during notification sending in the presence of plugins that use specific data from the woocommerce_email_order_items_args filter
* Update - End of support for WooCommerce 2.6 and earlier
* Update - POT file updated

= 3.1.0 =

* Added  - %%table%% placeholder compatibility with the woocommerce_email_order_items_args filter
* Added  - A note is added to the order notes when the status is changed via automation
* Added  - Link in the order status information metabox to the list of orders in that status
* Added  - Link in the dashboard widget summary to the list of orders in that status
* Added  - Specific messages for bulk changes on custom order statuses
* Tweak  - Order status configuration screen organized into tabs
* Tweak  - A boolean indicating whether the email is sent in plain text is passed to the filter hook scos_email_placeholders
* Tweak  - Redundant checks before carrying out a status change via automation
* Tweak  - Improved code performance in dashboard
* Fix    - An error that could occur under certain circumstances when changing an order to a custom status is prevented
* Fix    - An error is prevented on the order status editing page and/or the dashboard widget when the number of orders in a status is very high
* Fix    - Fixed a notice that could be displayed on the order confirmation page if automations had not been set for pre-existing order statuses
* Fix    - An unused property is removed from the init
* Update - POT file updated

= 3.0.0 =

* Added  - Automations: it is possible to automatically place orders paid using the selected payment method(s) into a specific custom status after creation
* Added  - Registration and sending of status notifications using WooCommerce's native email system
* Added  - Compatibility with WooCommerce PDF Invoices & Packing Slips (automatically generates/attaches invoice to the notification when the order changes to a custom status)
* Added  - New field in order status settings for notification heading
* Added  - Possibility to send order status notifications only manually
* Added  - %%table%% placeholder to insert the order summary table into notifications
* Added  - Notifications are now compatible with the action hook woocommerce_email_header
* Added  - Notifications are now compatible with the action hook woocommerce_email_before_order_table
* Added  - Notifications are now compatible with the action hook woocommerce_email_after_order_table
* Added  - Notifications are now compatible with the action hook woocommerce_email_footer
* Added  - Support for notificacions in plain text
* Added  - Specific messages for changes on custom order statuses
* Tweak  - Improved performance by using object cache for the custom status retrieval query
* Tweak  - New default colors for custom order statuses, with greater contrast in the order list
* Fix    - Compatibility of sending the processing notification with sequential order numbering plugins
* Fix    - Issue with action buttons in the presence of YITH WooCommerce Sequential Order Number if a prefix or suffix was used for the order number
* Fix    - The WooCommerce dashboard widget could be generated with poor visualization if an odd number of order statuses were displayed and it was also used by other plugins
* Fix    - The next status selector in the order flow showed blank options if there were custom order statuses to which no name had been assigned
* Fix    - The dashboard widget did not show any name for the status if no name had been assigned to it
* Fix    - The title of the custom order status information metabox was not visible
* Fix    - The case of late license activation is taken into account
* Update - Support for WooCommerce 4.9
* Update - POT file updated

= 2.7.3 =

* Bump version

= 2.7.2 =

* Update - Support for WordPress 5.7

= 2.7.1 =

* Tweak  - AJAX action name collision is prevented
* Fix    - An unused constant is removed

= 2.7.0 =

* Added  - The new WooCommerce 4.8 checkout-draft order status is ignored when detecting custom order statuses for import
* Added  - The loco.xml file is included for automatic configuration in Loco Translate
* Tweak  - Improved performance and security while saving custom order statuses
* Tweak  - The license option is no longer in the WooCommerce integrations section and is moved to the list of order statuses
* Tweak  - Enhanced code performance in the init
* Update - POT file updated

= 2.6.0 =

* Added  - Option to show a summary of orders in a specific custom status in the WooCommerce dashboard widget
* Added  - The action scos_order_status_{status ID} is executed when an order is changed to a custom status, passing the order ID as an argument
* Added  - Metabox on the order status editing screen with information about it (number of orders in that status, status ID, corresponding action hook, and usage example)
* Update - Support for WooCommerce 4.8
* Update - POT file updated

= 2.5.5 =

* Update - Support for WooCommerce 4.7

= 2.5.4 =

* Fix    - Under certain circumstances, the standard notification when changing the status to processing might not be generated if the order came from a custom status
* Update - Support for WordPress 5.6
* Update - Support for WooCommerce 4.6

= 2.5.3 =

* Update - Support for WordPress 5.6-alpha
* Update - Support for WooCommerce 4.5

= 2.5.2 =

* Update - Support for WordPress 5.5-beta3
* Update - Support for WooCommerce 4.4.0-beta

= 2.5.1 =

* Fix    - The help message on activation is only shown if WooCommerce is active
* Update - Support for WooCommerce 4.3.0-RC3

= 2.5.0 =

* Added  - Compatibility with Advanced Custom Fields
* Tweak  - Notification format is generated using methods provided by WooCommerce
* Update - Support for WooCommerce 4.3.0-RC2
* Update - POT file updated

= 2.4.0 =

* Added  - Link to the full changelog in the plugin meta links
* Tweak  - Update system is changed
* Tweak  - Enhanced code performance in the admin area
* Update - POT file updated

= 2.3.2 =

* Tweak  - Enhanced code performance in the admin area
* Update - Support for WooCommerce 4.3.0-RC1

= 2.3.1 =

* Update - Support for WordPress 5.4.3-alpha
* Update - Support for WooCommerce 4.3.0-beta

= 2.3.0 =

* Added  - Compatibility with WooCommerce Sequential Order Numbers
* Added  - Compatibility with YITH WooCommerce Sequential Order Number
* Added  - Help message for activation on plugin and dashboard screens if the license key has not been entered
* Fix    - Corrected a flaw by which refunds were not being considered in WooCommerce reports
* Fix    - Corrected a flaw by which the order action text for resending notifications did not appear if the status name contained extended characters
* Fix    - Corrected a flaw by which extended characters appeared malformed in order bulk actions
* Fix    - The correct help message was not being displayed on first activation
* Update - POT file updated

= 2.2.4 =

* Tweak  - Enhanced code performance in the init
* Update - Update Puc library to version 4.9
* Update - Support for WooCommerce 4.2.0-beta

= 2.2.3 =

* Added  - Option to set one or more email addresses that will receive administrator notifications
* Update - POT file updated
* Update - Support for WordPress 5.4.2-alpha

= 2.2.2 =

* Fix    - Several notices generated on the WooCommerce reports page are fixed
* Update - Support for WooCommerce 4.1.0-RC2

= 2.2.1 =

* Tweak  - Enhanced code performance
* Fix    - Several notices are prevented in case the update server cannot be reached
* Update - Support for WooCommerce 4.1.0-RC1

= 2.2.0 =

* Added  - Button to import custom order statuses created by WooCommerce Order Status Manager
* Added  - A notice is shown upon deactivating the plugin warning about possible orders in a custom status
* Tweak  - Reduced loading of unnecessary styles on the order status administration page
* Tweak  - The slug of an order status is only changed if it contains more than one hyphen
* Tweak  - The license expiration date is shown in a more friendly format
* Tweak  - Enhanced code performance
* Fix    - Fixed a flaw by which the tooltip on the action button was not shown when the status name contained extended characters
* Fix    - Fixed a flaw by which a status continued to show attachments after deleting them
* Update - Support for WooCommerce 4.1.0-beta
* Update - POT file updated
* Update - The plugin directory structure is modified

= 2.1.1 =

* Added  - A confirmation message is shown after bulk status changes
* Added  - The POT template for translations is included
* Tweak  - Bulk actions are now handled using the native mode included starting from WordPress 4.7
* Tweak  - If no name is set for the order status, a generic one is displayed on the status management screen
* Tweak  - Currency symbols in the notification template are replaced more efficiently

= 2.1.0 =

* Added  - Icons can be assigned to custom order statuses
* Added  - The order status icon is displayed on the custom statuses screen
* Added  - The order status icon is displayed on the action button
* Added  - %%total%% placeholder is available in the notification template to display the order total
* Tweak  - Improved performance while sending notifications
* Tweak  - The scope of all methods is expressly declared
* Fix    - Fixed a flaw by which the next status in the order flow did not appear first in the action buttons
* Fix    - Fixed a 404 error in the path of a CSS file on the order status administration screen
* Update - Support for WordPress 5.4.1-alpha

= 2.0.0 =

* Added  - Custom order statuses can be reordered by dragging and dropping for easier management
* Added  - Field to select the next status in the order flow
* Added  - Attachments to notifications are shown on the order statuses admin screen
* Added  - Integration with EDD Software Licensing
* Tweak  - Order actions on the order list screen first show the button to change the status to the next status in the order flow
* Update - Support for WordPress 5.4-RC4
* Update - Support for WooCommerce 4.0.1

= 1.6.1 =

* Added  - Filter hook scos_email_placeholder to customize template variables
* Fix    - The new WooCommerce variable is replaced in the automatic email
* Update - Support for WooCommerce 4.0.0-beta

= 1.6.0 =

* Tweak  - The interface is integrated within the WooCommerce menu
* Tweak  - The scope of all methods is expressly declared
* Fix    - Fixed an error that prevented the status name from being displayed in the order action selector
* Fix    - Fixed an error that caused notifications not to be sent in certain configurations
* Update - Support for WordPress 5.3.3-alpha
* Update - Support for WooCommerce 3.8.0-beta

= 1.5.1 =

* Added  - The .POT translation template is included
* Tweak  - A default status name is set if the custom status title is not filled in
* Tweak  - The more efficient function determine_locale is used to determine the language if WordPress 5.0+ is being used
* Tweak  - Enhanced code performance on plugin init
* Update - Support for WordPress 5.2.4-alpha
* Update - Support for WooCommerce 3.8.0-beta

= 1.5.0 =

* Added  - Files can now be attached to custom order status notifications
* Tweak  - The action to place an order in a custom status is only shown if the order does not already have that status
* Update - Updated Puc library to version 4.6
* Update - Support for WordPress 5.2
* Update - Declarada la Compatibility with WooCommerce 3.6

= 1.4.2 =

* Tweak  - Added a help message on plugin activation
* Tweak  - Action buttons are added conditionally considering the current order status
* Fix    - Compatibility with the WooCommerce site_title variable
* Fix    - Added the plugin name to translatable texts

= 1.4.1 =

* Tweak  - Singleton pattern established in the plugin call
* Fix    - Added a string that had been left out to translatable texts

= 1.4.0 =

* Tweak  - Prevented notification email header duplication when using Email Templates plugin
* Tweak  - Security tweak preventing direct access to code in all files
* Added  - New placeholder to include the customer's email address in the template and updated help text
* Update - Updated Puc library for updates to version 4.4

= 1.3.5 =

* Fix    - Fixed a flaw that caused custom order fields to be hidden
* Update - Support for WooCommerce 3.4 development version

= 1.3.4 =

* Tweak  - An error due to conflicts with order status slugs is prevented
* Fix    - The order status color field, which was mistakenly mandatory, is no longer mandatory
* Fix    - Fixed an untranslated text in order notes when changing status via bulk actions

= 1.3.3 =

* Update - Properties replaced by methods to access user name and email data

= 1.3.2 =

* Bump version

= 1.3.1 =

* Added  - New option to select text color in WooCommerce 3.3 or higher
* Tweak  - "View" option removed from action links on the order status administration screen
* Tweak  - "Quick Edit" option also disabled in action links to prevent editing the order status slug
* Fix    - Fixed a bug that prevented the visualization of the new status when the order status slug contained more than two hyphens

= 1.3.0 =

* Tweak  - Changed editor for the plain text email template to a WYSIWYG editor
* Tweak  - Notifications use the email options set in WooCommerce settings:
	* From name
	* From address
	* Header image
	* Footer text
	* Standard colors and template

= 1.2.1 =

* Tweak  - Default From name is set to the website name
* Fix    - Fixed an error that occurred when resending notifications from order actions

= 1.2.0 =

* Tweak  - Enhanced code performance
* Update - Styles adapted to the new WooCommerce 3.3 order statuses

= 1.1.0 =

* Added  - Option to include order statuses in WooCommerce reports

= 1.0.1 =

* Fix    - Fixed an error that caused the email to be sent in plain text, even when containing HTML

= 1.0.0 =

* Release - Initial release